<?php

if ( !defined( 'ABSPATH' ) ) exit;

    $cf7_list = apply_filters( 'turkeysms_contact_form_7_list', '');



    $turkeysms = new TurkeySMS_SMS(get_option("turkeysms_user"),get_option("turkeysms_pass"),get_option("turkeysms_input_smstitle"));

    $cevap = json_decode($turkeysms->turkeysms_GirisSorgula(get_option("turkeysms_user"),get_option("turkeysms_pass")));

    $sessionid = get_current_user_id();

    $session = new WP_User($sessionid);



    $fps_roles = new WP_Roles();

    $role_list = $fps_roles->get_names();



    $auth_roles = [];

    if (get_option('turkeysms_auth_roles') != ''){

        $auth_roles = explode(',', get_option('turkeysms_auth_roles'));

    }



    $auth_users = [];

    if (get_option('turkeysms_auth_users') != ''){

        $auth_users = explode(',', get_option('turkeysms_auth_users'));

    }



    $turkeysms_auth_roles_control= get_option('turkeysms_auth_roles_control');

    $turkeysms_auth_users_control= get_option('turkeysms_auth_users_control');



    $users = get_users();

if(in_array($session->roles[0], ['administrator']) || (in_array($session->roles[0], $auth_roles) && $turkeysms_auth_roles_control == 1)) {

    if( (

            ( in_array($session->roles[0], ['administrator']) && in_array($session->user_login, ['admin']) )    //admin herzaman yetkilidir.

            || (in_array($session->ID, $auth_users) && $turkeysms_auth_users_control == 1)

        )

    || $turkeysms_auth_users_control == 0

         ) { //$turkeysms_auth_users_control 0 ise bu özellik kapalıdır ve user bazlı yetki kontrolüne gerek yoktur..

        ?>

        <br>

        <div class="container-fluid">

            <div class="panel panel-default">

                <div class="panel-heading">

                    <h3 class="panel-title"><i class="fa fa-pencil"></i> TurkeySMS Eklenti Ayarları

                        <?php if ($cevap->btnkontrol == "enabled") { ?>

                            <!-- <form action="options.php" method="get" id="formLogout" name="formLogout">

                                <?php /*settings_fields( ' turkeysmsoptionslogout' ); */ ?>

                                <?php /*do_settings_sections( 'turkeysmsoptionslogout' ); */ ?>

                                <button class="btn btn-danger btn-sm" id="logout" name="logout" type="submit" style="float: right; margin-top: -20px">Çıkış <i class="fa fa-sign-out"></i></button>

                            </form>-->

                            <button class="btn btn-danger btn-sm" type="text" onclick="logout()"

                                    style="float: right; margin-top: -5px">Çıkış <i class="fa fa-sign-out"></i></button>

                        <?php } ?>

                    </h3>

                </div>



                <div class="panel-body">

                    <div class="col-md-6 text-left">

                        <a href="https://www.turkeysms.com.tr/" alt="TurkeySMS" target="_blank">

                            <img src="<?= plugins_url('lib/image/logo.png', dirname(__FILE__)) ?>" width="130"

                                 height="40">

                        </a>

                    </div>

                    <div class="col-md-6 text-right">

                        <div

                            <?php if ($cevap->href != ""){ ?>onclick="window.open('<?= $cevap->href ?>','_blank');" <?php } ?>

                            class="alert alert-<?= $cevap->durum ?>" id="bakiye" style="display:inline-block;"><i

                                    class='fa <?= $cevap->icon ?>'></i><?= $cevap->mesaj ?></div>

                    </div>



                    <form action="options.php" method="post" id="form-module" class="form-horizontal"

                          name="form-module">

                        <?php settings_fields('turkeysmsoptions'); ?>

                        <?php do_settings_sections('turkeysmsoptions'); ?>

                        <input type="hidden" name="sayfayi_yenile" id="sayfayi_yenile" value="0">

                        <div class="tab-pane">

                            <ul class="nav nav-tabs" id="language">

                                <li><a href="#login" data-toggle="tab"><i class="fa fa-sign-in"></i> Giriş</a></li>

                                <li><a href="#sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> WooCommerce

                                        SMS</a></li>

                                <li><a href="#tf2sms" data-toggle="tab"><i class="fa fa-key"></i> Üyelik Doğrulama</a>

                                </li>

                                <li><a href="#bulksms" data-toggle="tab"><i class="fa fa-comments-o"></i> Toplu SMS</a></li>

                                <li><a href="#privatesms" data-toggle="tab"><i class="fa fa-commenting"></i> Özel SMS</a></li>

                                <li><a href="#cf7sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> Contact Form 7 SMS</a></li>

                                <li><a href="#log" data-toggle="tab"><i class="fa fa-inbox"></i> SMS Logları</a></li>
                                <li><a href="#settings" data-toggle="tab"><i class="fa fa-cog"></i> Ayarlar</a></li>

                            </ul>

                            <div class="tab-content">

                                <div class="tab-pane" id="login">

                                    <hr>

                                    <div class="form-group">

                                        <label class="col-sm-2 control-label" for="turkeysms_user">TurkeySMS Kullanıcı Adı : </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-user" style="color: #17A2B8;"></i>

                                                </div>

                                                <input type="text" name="turkeysms_user" id="turkeysms_user"

                                                       placeholder="Kullanıcı Adı"

                                                       value="<?= get_option("turkeysms_user") ?>" class="form-control"

                                                       onkeypress="return RestrictSpace()"/>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <label class="col-sm-2 control-label" for="turkeysms_pass">TurkeySMS Şifre : </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-lock" style="color: #17A2B8;"></i>

                                                </div>

                                                <input type="password" name="turkeysms_pass" placeholder="Şifre"

                                                       id="turkeysms_pass" value="<?= get_option("turkeysms_pass") ?>"

                                                       class="form-control"/>

                                            </div>

                                        </div>

                                    </div>
									
									<div class="form-group">

                                        <label class="col-sm-2 control-label" for="turkeysms_user">TurkeySMS API Key : </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-user" style="color: #17A2B8;"></i>

                                                </div>

                                                <input type="text" name="turkeysms_apikey" id="turkeysms_apikey"

                                                       placeholder="Kullanıcı Adı"

                                                       value="<?= get_option("turkeysms_apikey") ?>" class="form-control"

                                                       onkeypress="return RestrictSpace()"/>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <div class="col-sm-2"></div>

                                        <div class="col-sm-8">

                                            <button class="btn btn-success" id="login_save" name="login_save"

                                                    onclick="login();"> Hesabımı Doğrula

                                            </button>

                                        </div>

                                    </div>

                                    <?php $turkeysms_all_smstitle = $turkeysms->getSmsBaslik();

                                    $turkeysms_input_smstitle = esc_html(get_option("turkeysms_input_smstitle")); ?>

                                    <div class="form-group">

                                        <label for="input-baslik" class="col-sm-2 control-label"

                                               style="color: <?php if (isset($turkeysms_input_smstitle) && !empty($turkeysms_input_smstitle) && $turkeysms_input_smstitle || $turkeysms_input_smstitle != 0) { ?>#2ECC71 <?php } else { ?>#E74C3C <?php } ?>;">

                                            SMS Başlığı :

                                        </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-header" style="color: #17A2B8;"></i>

                                                </div>

                                                <select name="turkeysms_input_smstitle" id="turkeysms_input_smstitle"

                                                        class="form-control" style="height: 35px;">

                                                    <option value="0">Sms Başlığı Seçiniz</option>

                                                    <?php

                                                    if (isset($turkeysms_input_smstitle) && $turkeysms_input_smstitle != "" && Count($turkeysms_all_smstitle) > 0) {

                                                        foreach ($turkeysms_all_smstitle as $title) {

                                                            if ($title != '') {

                                                                if ($title == $turkeysms_input_smstitle) {

                                                                    ?>

                                                                    <option value="<?= $title ?>"

                                                                            selected><?= $title ?></option><?php

                                                                } else {

                                                                    ?>

                                                                    <option value="<?= $title ?>"><?= $title ?></option> <?php

                                                                }

                                                            }

                                                        }

                                                    } ?>

                                                </select>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <?php $turkeysms_charset = esc_html(get_option("turkeysms_charset")); ?>

                                        <?php/* if ($cevap->btnkontrol != "enabled") {

                                            $turkeysms_charset = 0;

                                        } */?>

                                        <label data-toggle="tooltip" data-placement="right" class="col-sm-2 control-label" for="input-status" style="color: <?php if (isset($turkeysms_charset) && !empty($turkeysms_charset) && $turkeysms_charset) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;">SMS Karakter Seti: </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-language" style="color: <?php if (isset($turkeysms_charset) && !empty($turkeysms_charset) && $turkeysms_charset) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"></i>

                                                </div>

                                                <select name="turkeysms_charset" id="input-trChar" class="form-control" style="height: 35px;">
                                                        <option <? if($turkeysms_charset==0) { echo "selected";}?> value="0">İngilizce</option>
                                                        <option <? if($turkeysms_charset==1) { echo "selected";}?> value="1">Türkçe</option>
														<option <? if($turkeysms_charset==2) { echo "selected";}?> value="2">Arapça</option>
                                                </select>

                                            </div>

                                        </div>

                                    </div>



                                    <hr>

                                    <hr>



                                    <div class="form-group">

                                        <?php $turkeysms_status = esc_html(get_option("turkeysms_status")); ?>

                                        <?php /* if ($cevap->btnkontrol != "enabled") {

                                            $turkeysms_status = 0;

                                        } */ ?>

                                        <label class="col-sm-2 control-label" for="input-status"

                                               style="color: <?php if (isset($turkeysms_status) && !empty($turkeysms_status) && $turkeysms_status) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;">Eklenti

                                            Durumu : </label>

                                        <div class="col-sm-10">

                                            <div class="input-group">

                                                <div class="input-group-addon">

                                                    <i class="fa fa-power-off"

                                                       style="color: <?php if (isset($turkeysms_status) && !empty($turkeysms_status) && $turkeysms_status) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"></i>

                                                </div>

                                                <select name="turkeysms_status" id="input-status" class="form-control"

                                                        style="height: 35px;">

                                                    <?php if ($turkeysms_status) { ?>

                                                        <option value="1" selected>Açık</option>

                                                        <option value="0">Kapalı</option>

                                                    <?php } else { ?>

                                                        <option value="1">Açık</option>

                                                        <option value="0" selected>Kapalı</option>

                                                    <?php } ?>

                                                </select>

                                            </div>

                                            <?php if ($turkeysms_status) {

                                            } else { ?>

                                                <small>*<i> Modül kapalıyken programlanan sms gönderimleri iptal

                                                        olur.</i></small><?php } ?>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <div class="col-sm-2"></div>

                                        <div class="col-sm-10 text-right">

                                            <button class="btn btn-primary" id="login_save2" name="login_save2"

                                                    onclick="login();"><i class="fa fa-folder"></i> Değişiklikleri

                                                Kaydet

                                            </button>

                                        </div>

                                    </div>

                                </div>

                                <div class="tab-pane container-fluid" id="sms">

                                    <hr>

                                    <div class="form-group">

                                        <!--  Yeni üye olunca, belirlenen numaralara sms göndermek -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_newuser_to_admin_no"><i

                                                                class="fa fa-certificate" style="color: #E74C3C;"></i>

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i> Yeni

                                                        üye olunca, belirlenen numaralara sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_newuser_to_admin_control"

                                                               id="turkeysms_switch1" type="checkbox"

                                                               onchange="turkeysms_field_onoff(1)" value="1"

                                                               <?php if ((get_option('turkeysms_newuser_to_admin_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field1"

                                                 style="<?php if ((get_option('turkeysms_newuser_to_admin_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <input name="turkeysms_newuser_to_admin_no"

                                                                   id="turkeysms_newuser_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_admin_no")) ?>">

                                                        </div>

                                                        <p id="vars_newuser_to_admin_no"></p>

                                                    </div>

                                                </div>

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf1')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf1_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newuser_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_newuser_to_admin_text"

                                                                      id="turkeysms_textarea1" class="form-control"

                                                                      placeholder="Örnek : Sayın yetkili, [uye_adi] [uye_soyadi] kullanıcı sisteme kaydoldu. Bilgileri : tel : [uye_telefonu] eposta: [uye_epostasi]"><?= esc_textarea(get_option("turkeysms_newuser_to_admin_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_newuser_to_admin_json"

                                                                   name="turkeysms_newuser_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_admin_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text1" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group"> <!--  Yeni üye olunca,yeni üyeye sms  -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_newuser_to_customer_no"><i

                                                                class="fa fa-certificate" style="color: #E74C3C;"></i>

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i> Yeni

                                                        üye olunca, müşteriye sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_newuser_to_customer_control"

                                                               id="turkeysms_switch2" type="checkbox"

                                                               onchange="turkeysms_field_onoff(2)" value="1"

                                                               <?php if ((get_option('turkeysms_newuser_to_customer_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field2"

                                                 style="<?php if ((get_option('turkeysms_newuser_to_customer_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf2')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf2_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newuser_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_newuser_to_customer_text"

                                                                      id="turkeysms_textarea2" class="form-control"

                                                                      placeholder="Örnek :Sayın [uye_adi] [uye_soyadi], sitemize hoşgeldiniz! [uye_telefonu] telefon numarası ve [uye_epostasi] ile kayıt oldunuz. Keyifli Alışverişler !"><?= esc_textarea(get_option("turkeysms_newuser_to_customer_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_newuser_to_customer_json"

                                                                   name="turkeysms_newuser_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_customer_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text2" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <script>

                                        var settings = {

                                            'conf1': {

                                                'name': 'turkeysms_newuser_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf2': {

                                                'name': 'turkeysms_newuser_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf3': {

                                                'name': 'turkeysms_neworder_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'yes',

                                                        'addOrderAdminPanel' :'yes'

                                                    }

                                            },

                                            'conf4': {

                                                'name': 'turkeysms_neworder_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'yes',

                                                        'addOrderAdminPanel' :'yes'

                                                    }

                                            },

                                            'conf5': {

                                                'name': 'turkeysms_order_refund_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf6': {

                                                'name': 'turkeysms_product_waitlist1_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf11': {

                                                'name': 'turkeysms_newnote1_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf12': {

                                                'name': 'turkeysms_newnote2_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            <?php  if(function_exists('wc_get_order_statuses')) {

                                            $order_statuses = wc_get_order_statuses();

                                            $arraykeys = array_keys($order_statuses);

                                            foreach ($arraykeys as $item) { ?>

                                            '<?=$item?>': {

                                                'name': 'turkeysms_order_status_text_<?=$item?>_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            <?php } }?>

                                        };



                                        var settings2 = {

                                            'source2': {

                                                'type': 'checkbox',

                                                'ids': [

                                                    '_source_billing_phone',

                                                    '_source_address_phone'

                                                ]

                                            },

                                            'source': {

                                                'type': 'text',

                                                'ids': [

                                                    '_custom_phone_key'

                                                ]

                                            },

                                            'timecondition': {

                                                'type': 'text',

                                                'ids': [

                                                    '_timecondition'

                                                ]

                                            },

                                            'otherAction': {

                                                'type': 'text',

                                                'ids': [

                                                    '_otherAction'

                                                ]

                                            },

                                            'addOrderAdminPanel' : {

                                                'type': 'checkbox',

                                                'ids': [

                                                    '_addOrderAdminPanel'

                                                ]

                                            }

                                        };



                                        function settingOpen(conf) {

                                            var settingHtml = {

                                                'source2': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="SMSin hangi telefon numarası kaynaklarına gönderileceğini belirleyebilirsiniz."></i> Gönderilecek Kaynak: </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["source"].ids[0] + '" class="checkbox-fix" value="off"> Fatura telefon numarasına gönder<br><input type="checkbox" name="" id="' + conf + settings2["source"].ids[1] + '" class="checkbox-fix" value="off"> Adres telefon numarasına gönder</div></div>',

                                                'source': '<div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Gönderilmesini istediğiniz özel bir telefon anahtarı varsa bu anahtardaki telefon numarasına SMS gönderebilirsiniz. Örn: billing_phone, shipping_phone, musteri_tel vs. "></i> SMS gönderilecek telefon numarası anahtarı: </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["source"].ids[0] + '"  class="form-control" placeholder="Gönderilmesini istediğiniz özel bir telefon anahtarı varsa bu anahtardaki telefon numarasına SMS gönderebilirsiniz. Örn: billing_phone, shipping_phone, musteri_tel vs. " value="billing_phone"></div></div>',

                                                'timecondition': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="SMSin ne kadar zaman sonra gönderileceğini dakika cinsinden belirleyebilirsiniz. Zaman ayarlarınızı kontrol edin. Bu sayfa yüklendiğinde saat : <?=date('H:i:s', current_time('timestamp'))?>"></i> Zamanla: </label></div><div class="col-md-8"><input type="number" name="" id="' + conf + settings2["timecondition"].ids[0] + '"  class="form-control" placeholder="Kaç dakika sonra gönderilsin istiyorsunuz? "></div></div>',

                                                'otherAction': '<hr><div class="col-md-12" style="display: none;"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Farklı bir actionda çalıştırmak için kanca ismi girin. Gizli özelliktir."></i> Ek kanca girişi: </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["otherAction"].ids[0] + '"  class="form-control" placeholder="Farklı kancada çalıştırmak için kanca ismi girin"></div></div>',

                                                'addOrderAdminPanel': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Admin panelden eklenen siparişlerdede SMS gönderilmesini seçebilirsiniz."></i> Admin panelden eklenen siparişte de gönder: </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["addOrderAdminPanel"].ids[0] + '" class="checkbox-fix" value="off"> SMS Gönder</div></div>',

                                            };



                                            if (settings[conf]) {

                                                var setting = settings[conf];

                                                // var data = JSON.parse(jQuery('#'+setting.name).val());

                                                modalCleaner();

                                                jQuery('#modal-save').attr('conf', conf);



                                                Object.keys(settings2).forEach(function (item) {

                                                    if (setting.settings[item] == 'yes') {  //Gönderilecek kaynak ayarı

                                                        jQuery('#row_' + item).html(settingHtml[item]);

                                                    }

                                                });



                                                try {

                                                    var data = JSON.parse(jQuery('#' + settings[conf].name).val());

                                                } catch (e) {

                                                    var data = [];

                                                }



                                                Object.keys(settings2).forEach(function (item) {

                                                    var types = settings2[item];

                                                    Object.keys(types.ids).forEach(function (ids) {

                                                        var id = types.ids[ids];

                                                        if (types.type == 'checkbox') {

                                                            if (data[id] == true) {

                                                                jQuery('#' + conf + id).prop("checked", true);

                                                            } else {

                                                                jQuery('#' + conf + id).prop("checked", false);

                                                            }

                                                        } else {

                                                            if (data[id] != undefined && data[id] != '') {

                                                                jQuery('#' + conf + id).val(data[id]);

                                                            }

                                                        }

                                                    });

                                                });

                                            }

                                            jQuery('#settingModal').modal('show');

                                            jQuery('[data-toggle="tooltip"]').tooltip();

                                        }



                                        function modalCleaner() {

                                            Object.keys(settings2).forEach(function (item) {

                                                jQuery('#row_' + item).html('');

                                            });

                                        }





                                    </script>



                                    <div class="modal inmodal fade" id="settingModal" tabindex="-1" role="dialog"

                                         aria-hidden="true" style="padding-top: 20px">

                                        <div class="modal-dialog modal-md">

                                            <div class="modal-content">

                                                <div class="modal-header">

                                                    <button type="button" class="close" data-dismiss="modal"><span

                                                                aria-hidden="true">&times;</span><span class="sr-only">Close</span>

                                                    </button>

                                                    <h4 class="modal-title">

                                                        <span id="modalTitle"><i

                                                                    class="fa fa-cogs"></i> Ek Ayarlar</span>

                                                    </h4>

                                                </div>

                                                <div class="modal-body">

                                                    <div class="row" id="row_source">

                                                    </div>

                                                    <div class="row" id="row_custom_phone_key">

                                                    </div>

                                                    <div class="row" id="row_timecondition">

                                                    </div>

                                                    <div class="row" id="row_addOrderAdminPanel">

                                                    </div>

                                                    <div class="row" id="row_otherAction">

                                                    </div>

                                                </div>

                                                <div class="modal-footer">

                                                    <button type="button" class="btn btn-white" data-dismiss="modal"

                                                            id="modal-close">Kapat

                                                    </button>

                                                    <button type="button" class="btn btn-primary" id="modal-save"

                                                            conf="">Kaydet

                                                    </button>

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <script>

                                        jQuery('#modal-save').click(function () {

                                            var conf = jQuery(this).attr('conf');

                                            var data = {};

                                            Object.keys(settings2).forEach(function (item) {

                                                var types = settings2[item];

                                                if (settings[conf].settings[item] == 'yes') {

                                                    Object.keys(types.ids).forEach(function (ids) {

                                                        var id = types.ids[ids];

                                                        if (types.type == 'checkbox') {

                                                            data[id] = jQuery('#' + conf + id).is(':checked');

                                                        } else {

                                                            data[id] = jQuery('#' + conf + id).val();

                                                        }

                                                    });

                                                }

                                            });



                                            if (JSON.stringify(data) != '') {

                                                jQuery('#' + conf + '_color').css('color', '#17A2B8')

                                            }



                                            jQuery('#' + settings[conf].name).val(JSON.stringify(data));

                                            jQuery('#settingModal').modal('hide');

                                        })



                                    </script>





                                    <div class="form-group"> <!--  yeni sipariş geldiğinde belirlenen numaralara sms -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_admin_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        Yeni sipariş geldiğinde, belirlenen numaralara sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_neworder_to_admin_control"

                                                               id="turkeysms_switch3" type="checkbox"

                                                               onchange="turkeysms_field_onoff(3)" value="1"

                                                               <?php if ((get_option('turkeysms_neworder_to_admin_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field3"

                                                 style="<?php if ((get_option('turkeysms_neworder_to_admin_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <input name="turkeysms_neworder_to_admin_no"

                                                                   id="turkeysms_neworder_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_admin_no")) ?>">

                                                        </div>

                                                        <p id="vars_neworder_to_admin_no"></p>

                                                    </div>

                                                </div>

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf3')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf3_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_neworder_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_neworder_to_admin_text"

                                                                      id="turkeysms_textarea3" class="form-control"

                                                                      placeholder="Örnek : Sayın Yönetici, [siparis_no] no'lu bir sipariş aldınız. Ürün bilgileri : [urun_adlari]-[urun_kodlari]-[urun_adetleri]"><?= esc_textarea(get_option("turkeysms_neworder_to_admin_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_neworder_to_admin_json"

                                                                   name="turkeysms_neworder_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_admin_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text3" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group"> <!--  Yeni sipariş olunca müşteriye sms -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_customer_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        Yeni sipariş geldiğinde, Müşteriye bilgilendirme sms

                                                        gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_neworder_to_customer_control"

                                                               id="turkeysms_switch4" type="checkbox"

                                                               onchange="turkeysms_field_onoff(4)" value="1"

                                                               <?php if ((get_option('turkeysms_neworder_to_customer_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field4"

                                                 style="<?php if ((get_option('turkeysms_neworder_to_customer_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf4')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf4_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_neworder_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_neworder_to_customer_text"

                                                                      id="turkeysms_textarea4" class="form-control"

                                                                      placeholder="Örnek : [siparis_no]' nolu siparişiniz başarıyla oluşturulmuştur."><?= esc_textarea(get_option("turkeysms_neworder_to_customer_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_neworder_to_customer_json"

                                                                   name="turkeysms_neworder_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_customer_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text4" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>







                                    <?php

                                    if (function_exists('wc_get_order_statuses')) {

                                        $order_statuses = wc_get_order_statuses();



                                        $actives = [];

                                        foreach ($order_statuses as $key => $order_status) {

                                            if (esc_textarea(get_option('turkeysms_order_status_text_' . $key)) != '') {

                                                array_push($actives, $order_status);

                                            }

                                        }

                                    }

                                    ?>



                                    <div class="form-group">

                                        <!--  Sİpariş durumları değiştiğinde müşteriye sms gönderilsin. -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_admin_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        <i class="fa fa-certificate" style="color: #34495E;"></i> Ürünün

                                                        sipariş durumu değiştiğinde müşteriye sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_orderstatus_change_customer_control"

                                                               id="turkeysms_switch5" type="checkbox"

                                                               onchange="turkeysms_field_onoff(5)" value="1"

                                                               <?php if ((get_option('turkeysms_orderstatus_change_customer_control')) == 1){ ?>checked <?php } ?>>

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field5"

                                                 style="<?php if ((get_option('turkeysms_orderstatus_change_customer_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">



                                                            <?php if (isset($actives[0])) {

                                                                ?>

                                                                <div class="input-group-addon" data-toggle="tooltip"

                                                                     data-placement="right" data-html="true"

                                                                     title="<b style='color: #2ECC71'>Aktif durumlar : </b><hr> <?= implode('<br>', $actives) ?>">

                                                                    <i class="fa fa-check-square"

                                                                       style="color: #2ECC71;"></i>

                                                                </div>

                                                                <?php

                                                            } else {

                                                                ?>

                                                                <div class="input-group-addon" data-toggle="tooltip"

                                                                     data-placement="right" data-html="true"

                                                                     title="Hiçbir durum aktifleştirilmemiş.">

                                                                    <i class="fa fa-times-circle"

                                                                       style="color: #E74C3C;"></i>

                                                                </div>

                                                                <?php

                                                            } ?>





                                                            <div class="input-group-addon">

                                                                <i class="fa fa-truck" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 id="settings-btn-changed" onclick="">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="setting-btn_color"

                                                                       style="color:#2B2B2B;"></i>

                                                                </a>

                                                            </div>



                                                            <select id="order_status"

                                                                    onchange="order_status_change(this.value)"

                                                                    class="form-control" style="height: 35px">

                                                                <option value="" selected>Sipariş Durumu Seçiniz

                                                                </option>

                                                                <?php if (function_exists('wc_get_order_statuses')) {

                                                                    $order_statuses = wc_get_order_statuses();

                                                                    $arraykeys = array_keys($order_statuses);

                                                                    foreach ($arraykeys as $item) { ?>

                                                                        <option value="<?= $item ?>"><?= $order_statuses[$item] ?></option>

                                                                    <?php }

                                                                } ?>

                                                            </select>

                                                        </div>

                                                    </div>

                                                </div>

                                                <span id="activeStatus" data=""></span>

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <?php if (isset($arraykeys)) {

                                                            foreach ($arraykeys as $item) {

                                                                $order_status_text = array($item => 'turkeysms_order_status_text_' . $item);

                                                                ?>

                                                                <textarea style="display: none;"

                                                                          name="turkeysms_order_status_text_<?= $item ?>"

                                                                          id="turkeysms_order_status_text_<?= $item ?>"

                                                                          class="form-control order_status_text"

                                                                          placeholder="Örnek : Sayın [uye_adi] [uye_soyadi], [siparis_no] numaralı siparişinizin kargo durumu ... olarak değiştirilmiştir. "><?= esc_textarea(get_option($order_status_text[$item])); ?></textarea>

                                                                <input type="hidden"

                                                                       id="turkeysms_order_status_text_<?= $item ?>_json"

                                                                       name="turkeysms_order_status_text_<?= $item ?>_json"

                                                                       class="form-control"

                                                                       value="<?= esc_html(get_option("turkeysms_order_status_text_" . $item . "_json")) ?>">

                                                            <?php }

                                                        } ?>

                                                        <p id="turkeysms_tags_text5" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i>

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'siparis_no')">

                                                                [siparis_no]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_adi')">

                                                                [uye_adi]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_soyadi')">

                                                                [uye_soyadi]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_telefonu')">

                                                                [uye_telefonu]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_epostasi')">

                                                                [uye_epostasi]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'kullanici_adi')">

                                                                [kullanici_adi]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'tarih')">

                                                                [tarih]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'saat')">

                                                                [saat]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'kargo_firmasi')">

                                                                [kargo_firmasi]

                                                            </mark>&nbsp;

                                                            <mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'takip_kodu')">

                                                                [takip_kodu]

                                                            </mark>&nbsp;

                                                            <i class="fa fa-certificate" style="color: #681947;"></i>

                                                        </p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>





                                    <div class="form-group"> <!--  Yeni özel not eklenince müşteriye sms -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for=""><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        Siparişe yeni <span style="color: #2ECC71">Özel not</span> eklendiğinde müşteriye sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_newnote1_to_customer_control"

                                                               id="turkeysms_switch11" type="checkbox"

                                                               onchange="turkeysms_field_onoff(11)" value="1"

                                                               <?php if ((get_option('turkeysms_newnote1_to_customer_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field11"

                                                 style="<?php if ((get_option('turkeysms_newnote1_to_customer_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf11')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf11_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newnote1_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_newnote1_to_customer_text"

                                                                      id="turkeysms_textarea11" class="form-control"

                                                                      placeholder="Örnek : [siparis_no]' nolu siparişinize yeni not eklendi : [not]"><?= esc_textarea(get_option("turkeysms_newnote1_to_customer_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_newnote1_to_customer_json"

                                                                   name="turkeysms_newnote1_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newnote1_to_customer_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text11" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group"> <!--  Yeni özel not eklenince müşteriye sms -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for=""><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        Siparişe yeni <span style="color: #2ECC71">Müşteriye not</span> eklendiğinde müşteriye sms gönderilsin:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_newnote2_to_customer_control"

                                                               id="turkeysms_switch12" type="checkbox"

                                                               onchange="turkeysms_field_onoff(12)" value="1"

                                                               <?php if ((get_option('turkeysms_newnote2_to_customer_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field12"

                                                 style="<?php if ((get_option('turkeysms_newnote2_to_customer_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf12')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf12_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newnote2_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_newnote2_to_customer_text"

                                                                      id="turkeysms_textarea12" class="form-control"

                                                                      placeholder="Örnek : [siparis_no]' nolu siparişinize yeni not eklendi : [not]"><?= esc_textarea(get_option("turkeysms_newnote2_to_customer_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_newnote2_to_customer_json"

                                                                   name="turkeysms_newnote2_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newnote2_to_customer_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text12" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group">

                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_admin_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        Sipariş iptal edildiğinde belirlediğim numaralı sms ile

                                                        bilgilendir:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_order_refund_to_admin_control"

                                                               id="turkeysms_switch6" type="checkbox"

                                                               onchange="turkeysms_field_onoff(6)" value="1"

                                                               <?php if ((get_option('turkeysms_order_refund_to_admin_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field6"

                                                 style="<?php if ((get_option('turkeysms_order_refund_to_admin_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-phone" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <input name="turkeysms_order_refund_to_admin_no"

                                                                   id="turkeysms_order_refund_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX"

                                                                   value="<?= esc_html(get_option("turkeysms_order_refund_to_admin_no")) ?>">

                                                        </div>

                                                        <p id="turkeysms_order_refund_to_admin_no"></p>

                                                    </div>

                                                </div>

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf5')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf5_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_order_refund_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_order_refund_to_admin_text"

                                                                      id="turkeysms_textarea6" class="form-control"

                                                                      placeholder="Sayın yönetici, [uye_adi][uye_soyadi] kullanıcısı, [urun] ürününü '[iade_nedeni]' nedeninden dolayı iptal etmiştir."><?= esc_html(get_option("turkeysms_order_refund_to_admin_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_order_refund_to_admin_json"

                                                                   name="turkeysms_order_refund_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_order_refund_to_admin_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text6" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group">

                                        <!--  ürün stoğa girdiğinde bekleme listesindekilere sms gönder-->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_admin_no">

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        <i class="fa fa-certificate" style="color: #F79500;"></i>

                                                        Ürün stoğa girdiğinde bekleme listesindekilere sms gönder(Wc Waitlist): </label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_product_waitlist1_control"

                                                               id="turkeysms_switch8" type="checkbox"

                                                               onchange="turkeysms_field_onoff(8)" value="1"

                                                               <?php if ((get_option('turkeysms_product_waitlist1_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field8"

                                                 style="<?php if ((get_option('turkeysms_product_waitlist1_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf6')">

                                                                <a href="javascript:void(0)">

                                                                    <i class="fa fa-cogs" id="conf6_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_product_waitlist1_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i>

                                                                </a>

                                                            </div>

                                                            <textarea name="turkeysms_product_waitlist1_text"

                                                                      id="turkeysms_textarea8" class="form-control"

                                                                      placeholder="Sayın [uye_adi][uye_soyadi], [urun_adi] ürünü tekrar stoğa girmiştir. Bilginize."><?= esc_html(get_option("turkeysms_product_waitlist1_text")) ?></textarea>

                                                            <input type="hidden" id="turkeysms_product_waitlist1_json"

                                                                   name="turkeysms_product_waitlist1_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_product_waitlist1_json")) ?>">

                                                        </div>

                                                        <p id="turkeysms_tags_text8" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group"> <!--  turkeysms rehberine kayıt -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_rehber_add"><i

                                                                class="fa fa-certificate" style="color: #E74C3C;"></i>

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i> Yeni

                                                        üye olunca, numarasını turkeysms rehbere ekle:</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_rehber_control" id="turkeysms_switch7"

                                                               type="checkbox" onchange="turkeysms_field_onoff(7)"

                                                               value="1"

                                                               <?php if ((get_option('turkeysms_rehber_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                                <p id="turkeysms_tags_text7" style="display: none;">

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field7"

                                                 style="<?php if ((get_option('turkeysms_rehber_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-user-plus" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <input name="turkeysms_rehber_groupname" class="form-control"

                                                                   placeholder="Eklemek istediğiniz grup ismini giriniz."

                                                                   value="<?= esc_html(get_option("turkeysms_rehber_groupname")) ?>">

                                                        </div>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group">

                                        <div class="col-sm-2"></div>

                                        <div class="col-sm-10 text-right">

                                            <button class="btn btn-primary" id="login_save3" name="login_save3"

                                                    onclick="login();"><i class="fa fa-folder"></i> Değişiklikleri

                                                Kaydet

                                            </button>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <p>



                                            <i class="fa fa-bolt" style="color: #00B49C;"></i> Yeni Özellik : SMSlere otomatik geçmiş,güncel veya gelecek tarih ve saat ekleyebilirsiniz. :

                                            Güncel tarih <b>[tarih]</b> formatındadır. <b>[tarih+5]</b> 5 gün sonranın tarihini verir .<b>[tarih-5]</b> 5 gün öncenin tarihini verir. Gün cinsinden ekleme/çıkarma yapılmalıdır. Format g.a.Y şeklindedir.<br>

                                            Güncel saat <b>[saat]</b> formatındadır.  <b>[saat+60]</b> 1 saat sonrasının saatini verir. <b>[saat-60]</b> 1 saat öncesinin saatini verir. Dakika cinsinden ekleme/çıkarma yapılmalıdır. Format : S:d:sn şeklindedir.



                                            <br>

                                            <i class="fa fa-bolt" style="color: #00B49C;"></i> Yeni Özellik : Sipariş

                                            SMSlerinde, sipariş meta anahtarlarını kullanabilirsiniz. Kullanım şekli :

                                            <b>[meta:metakeyiniz]</b> formatındadır. metakeyiniz yazan yere sipariş meta

                                            anahtarını girebilirsiniz.

                                            <br>

                                            <i class="fa fa-bolt" style="color: #00B49C;"></i> Yeni Özellik : <i

                                                    class="fa fa-cogs"></i> simgesi bulunan ayarlarda sunulan ek

                                            konfigürasyonları yapabilirsiniz.<br>



                                        <hr>



                                        <i class="fa fa-certificate" style="color: #E74C3C;"></i> Aktif olduğunda, hesap

                                        oluşturma sayfasına Ad,Soyad ve Telefon numarası kısmını ekler. Kayıt için

                                        zorunlu olur.

                                        <br>

                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i> Bu özellikler

                                        woocommerce e-ticaret eklentisi yüklü ve etkin olduğunda çalışır.

                                        <br>

                                        <i class="fa fa-certificate" style="color: #34495E;"></i> Beklemede özelliğinde

                                        yeni sipariş verildiğinde de sms gönderilir.

                                        <br>

                                        <i class="fa fa-certificate" style="color: #F79500;"></i> <a href="https://docs.woocommerce.com/document/woocommerce-waitlist/" target="_blank">WooCommerce Bekleme Listesi (WooCommerce Waitlist)</a> eklentisi yüklü olduğunda ve ürün düzenleme sayfasında <b>"send instock email"</b> özelliği çalıştırıldığında, bekleme listesindeki kullanıcıların numaralarına gönderilir.

                                        <br>



                                        <i class="fa fa-certificate" style="color: #681947;"></i> Kargo firması ve takip

                                        kodu sadece Kargo Takip(<a

                                                href="https://wordpress.org/plugins/kargo-takip/" target="_blank">https://wordpress.org/plugins/kargo-takip/</a>)

                                        eklentisinden aldığı değerler ile çalışır. NOT: eklentiyi kullanırken, kargo

                                        bilgisini kaydettikten sonra sipariş durumunu değiştirin. (1.2 versiyonu ile

                                        test edildi.)

                                        <br>

                                        <i class="fa fa-lightbulb-o" style="color: #D35400;"></i> Satır atlamak için

                                        <strong>\n</strong> kullanabilirsiniz.<br>



                                        </p>



                                    </div>

                                </div>



                                <div class="tab-pane container-fluid" id="tf2sms">

                                    <hr>

                                    <div class="form-group">

                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="turkeysms_neworder_to_admin_no">

                                                        <i class="fa fa-certificate" style="color: #3498DB;"></i>

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        <i class="fa fa-certificate" style="color: #E74C3C;"></i> Yeni

                                                        üye olurken <b style="color: #E74C3C;" data-toggle="tooltip"

                                                                       data-placement="top"

                                                                       title="OTP SMS paketinden ücretlendirilir. OTP SMS paketizin olduğuna emin olun.">OTP

                                                            SMS</b> ile doğrulama yap :</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_tf2_auth_register_control"

                                                               id="turkeysms_switch9" type="checkbox"

                                                               onchange="turkeysms_field_onoff(9)" value="1"

                                                               <?php if ((get_option('turkeysms_tf2_auth_register_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field9"

                                                 style="<?php if ((get_option('turkeysms_tf2_auth_register_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <textarea name="turkeysms_tf2_auth_register_text"

                                                                      id="turkeysms_textarea9" class="form-control"

                                                                      placeholder="Tek seferlik doğrulama kodunuz : [kod]

*OTP SMS tek boy gönderilebilir.

*Metin taslağı 140 karakter ile sınırlandırılmıştır."

                                                                      maxlength="140"><?= esc_html(get_option("turkeysms_tf2_auth_register_text")) ?></textarea>

                                                        </div>

                                                        <p id="turkeysms_tags_text9" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p>

                                                    </div>

                                                </div>

                                                <div class="row">

                                                    <div class="col-sm-2">

                                                        <p style="margin-top: 5px;">Kod geçerlilik süresi(dk):</p>

                                                    </div>

                                                    <div class="col-sm-10">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-clock-o" style="color: #17A2B8;"></i>

                                                            </div>

                                                            <input name="turkeysms_tf2_auth_register_diff"

                                                                   class="form-control"

                                                                   placeholder="Kod geçerlilik süresi (dk.) örn: 120"

                                                                   value="<?= esc_html(get_option("turkeysms_tf2_auth_register_diff")) ?>">

                                                        </div>

                                                        <p>Not : Bu süre boyunca aynı numaraya tekrar kod göndermek

                                                            istense bile gönderilmeyecektir. Süreyi dakika olarak

                                                            yazınız. (varsayılan olarak 180dk. )</p>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group">

                                        <!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->

                                        <div class="row">

                                            <div class="col-sm-3">

                                                <div class="col-sm-7">

                                                    <label class="control-label" for="">

                                                        <i class="fa fa-certificate" style="color: #3498DB;"></i>

                                                        <i class="fa fa-certificate" style="color: #BB77AE;"></i>

                                                        <i class="fa fa-certificate" style="color: #2ECC71;"></i>

                                                        Kayıtlı telefon numarası ile yeni üyeliği engelle :</label>

                                                </div>

                                                <div class="col-sm-5">

                                                    <label class="switch">

                                                        <input name="turkeysms_tf2_auth_register_phone_control"

                                                               id="turkeysms_switch10" type="checkbox"

                                                               onchange="turkeysms_field_onoff(10)" value="1"

                                                               <?php if ((get_option('turkeysms_tf2_auth_register_phone_control')) == 1){ ?>checked <?php } ?> >

                                                        <span class="slider round"></span>

                                                    </label>

                                                </div>

                                            </div>

                                            <div class="col-sm-9" id="turkeysms_field10"

                                                 style="<?php if ((get_option('turkeysms_tf2_auth_register_phone_control')) == 0) { ?>display:none; <?php } ?>">

                                                <div class="row">

                                                    <div class="col-sm-12">

                                                        <div class="input-group">

                                                            <div class="input-group-addon">

                                                                <i class="fa fa-exclamation-circle"

                                                                   style="color: #17A2B8;"></i>

                                                            </div>

                                                            <textarea name="turkeysms_tf2_auth_register_phone_warning_text"

                                                                      id="turkeysms_textarea10" class="form-control"

                                                                      placeholder="[telefon_no] numarası ile zaten üyeliğiniz mevcut."><?= esc_html(get_option("turkeysms_tf2_auth_register_phone_warning_text")) ?></textarea>

                                                        </div>

                                                        <p id="turkeysms_tags_text10" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i>

                                                            Kullanabileceğiniz Değişkenler : </i></p> <span

                                                                style="opacity: 0.7;">(Uyarı metnidir. Bu seçenekte SMS gönderilmez.) </span>

                                                    </div>

                                                </div>



                                            </div>

                                        </div>

                                    </div>



                                    <div class="form-group">

                                        <div class="col-sm-2"></div>

                                        <div class="col-sm-10 text-right">

                                            <button class="btn btn-primary" id="login_save4" name="login_save4"

                                                    onclick="login();"><i class="fa fa-folder"></i> Değişiklikleri

                                                Kaydet

                                            </button>

                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <p>

                                        <h4><i class="fa fa-certificate" style="color: #3498DB;"></i> BU ÖZELLİĞİ TEST

                                            ETTİKTEN SONRA KULLANMAYA BAŞLAYIN.</h4>

                                        <br>

                                        <h4><i class="fa fa-certificate" style="color: #E74C3C;"></i> Bu özelliği

                                            kullanabilmeniz için OTP SMS paketinizin olması gereklidir. TurkeySMS kullanıcı panelinden OTP SMS Paketi satın alabilirsiniz.

                                        </h4>

                                        <br>

                                        <h4><i class="fa fa-certificate" style="color: #BB77AE;"></i> Bu özellikler

                                            woocommerce e-ticaret eklentisi yüklü ve etkin olduğunda çalışır.

                                            Woocommerce kayıt olma sayfasında geçerlidir.</h4>

                                        <br>

                                        <h4><i class="fa fa-certificate" style="color: #2ECC71;"></i> Bu seçenekteki

                                            metin uyarı olarak gösterilecektir. SMS gönderimi için değildir.</h4>

                                        <br>
                                        Satır atlamak için <strong>\n</strong> kullanabilirsiniz.



                                    </div>

                                </div>

                                <?php include 'contactform7.php' ?>

                                <div class="tab-pane container-fluid" id="privatesms">

                                    <hr>

                                    <div class="row">

                                        <div class="form-group">

                                            <label class="col-sm-2 control-label" for="turkeysms_user">Telefon no

                                                : </label>

                                            <div class="col-sm-10">

                                                <div class="input-group">

                                                    <div class="input-group-addon">

                                                        <i class="fa fa-phone" style="color: #17A2B8;"></i>

                                                    </div>

                                                    <input type="text" name="private_phone" id="private_phone"

                                                           placeholder="Birden fazla numaraya sms göndermek isterseniz aralarına virgül (,) koyarak numaraları çoğaltabilirsiniz."

                                                           class="form-control"/>

                                                </div>

                                            </div>

                                        </div>

                                    </div>



                                    <div class="row">

                                        <div class="form-group">

                                            <label class="col-sm-2 control-label" for="private_text">Mesaj: </label>

                                            <div class="col-sm-10">

                                                <div class="input-group">

                                                    <div class="input-group-addon">

                                                        <i class="fa fa-commenting" style="color: #17A2B8;"></i>

                                                    </div>

                                                    <textarea type="text" name="private_text" id="private_text" cols="5"

                                                              placeholder="Göndermek istediğiniz mesaj içeriğini girin."

                                                              class="form-control"/></textarea>

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="row">

                                        <div class="col-md-12 text-right">

                                            <button type="button" class="btn btn-success" onclick="privatesmsSend()"

                                                    name="sendSMS" id="sendSMS"><i class="fa fa-paper-plane"></i> SMS

                                                Gönder

                                            </button>

                                        </div>

                                    </div>

                                </div>

                                <div class="tab-pane container-fluid" id="bulksms">
                                    <hr>

                                    <div class="row">

                                        <h3>

                                            Toplu SMS İşlemleri

                                        </h3>
                                    </div>

                                    <hr>

                                    <div class="row">

                                        <div class="col-md-12 text-right">



                                        </div>

                                    </div>

                                    <div class="row">

                                        <div class="col-md-12">

                                            <table data-pagination="true" id="table" name="table"

                                                   class="table table-bordered table-striped dataTable no-footer"

                                                   data-search="true" data-search-align="left"

                                                   data-pagination-v-align="bottom"

                                                   data-click-to-select="true"

                                                   data-toggle="table"

                                                   data-page-list="[10, 25, 50, 100, 150, 200]">

                                                <a href="javascript:void(0)" class="btn btn-success"

                                                   style="float: right;" onclick="turkeysms_sendSMS_bulkTab('')"><i

                                                            class="fa fa-paper-plane"></i> SMS Gönder</a>

                                                <thead>

                                                <tr>

                                                    <th data-checkbox="true"></th>

                                                    <th data-visible="false">userid</th>

                                                    <th>Kullanıcı adı</th>

                                                    <th>İsim</th>

                                                    <th><span>E-posta</span></th>

                                                    <th scope="col" id="phone" class="manage-column column-phone">

                                                        Telefon

                                                    </th>

                                                </tr>

                                                </thead>

                                                <tbody id="the-list" data-wp-lists="list:user">

                                                <?php

                                                $key2 = 0;

                                                foreach ($users as $key => $user) {

                                                    $billing_phone = get_user_meta($user->ID, $turkeysms_contact_meta_key, true);

                                                    if (isset($billing_phone) && !empty($billing_phone)) {

                                                        if ($key2 > 1000) {

                                                            break;

                                                        }

                                                        $key2++;

                                                        ?>

                                                        <tr id="user-<?= $user->ID ?>">

                                                            <td></td>

                                                            <td><?= $user->ID ?></td>

                                                            <td class="username column-username has-row-actions column-primary"

                                                                data-colname="Kullanıcı adı">

                                                                <img alt=""

                                                                     src="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=32&amp;d=mm&amp;r=g"

                                                                     srcset="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=64&amp;d=mm&amp;r=g 2x"

                                                                     class="avatar avatar-32 photo" height="32"

                                                                     width="32">

                                                                <strong><a href="user-edit.php?user_id=<?= $user->ID ?>"

                                                                           target="_blank"><?= $user->display_name ?></a></strong><br>

                                                            </td>

                                                            <td class="name column-name"

                                                                data-colname="İsim"><?php if (!empty($user->first_name)) {

                                                                    echo $user->first_name . " " . $user->last_name;

                                                                } else {

                                                                    print '—';

                                                                } ?></td>

                                                            <td class="email column-email" data-colname="E-posta"><a

                                                                        href="mailto:<?= $user->user_email ?>"><?= $user->user_email ?></a>

                                                            </td>

                                                            <td class="role column-phone"

                                                                data-colname="Phone"><?= get_user_meta($user->ID, $turkeysms_contact_meta_key, true) ?>

                                                                <div class="row-actions">

                                                        <span class="view">

                                                            <a href="javascript:void(0);" onclick="turkeysms_sendSMS_bulkTab(<?= $user->ID ?>)" id="bulkSMSbtn">Sms Gönder</a>

                                                        </span>

                                                                </div>

                                                            </td>

                                                        </tr>

                                                    <?php }

                                                } ?>

                                            </table>

                                        </div>

                                    </div>

                                </div>

                                <div class="tab-pane container-fluid" id="inbox">

                                    <hr>

                                    <div class="row">

                                        <div class="col-md-12">

                                            <table data-pagination="true" id="table" name="table"

                                                   class="table table-bordered table-striped dataTable no-footer"

                                                   data-search="true" data-search-align="left"

                                                   data-pagination-v-align="bottom"

                                                   data-click-to-select="true"

                                                   data-toggle="table"

                                                   data-page-list="[10, 25, 50, 100, 150, 200]">

                                                <thead>

                                                <tr>

                                                    <th data-checkbox="false">#</th>

                                                    <th>Kullanıcı adı</th>

                                                    <th>İsim</th>

                                                    <th>E posta</th>

                                                    <th>Telefon</th>

                                                    <th>Mesaj</th>

                                                    <th>Tarih</th>

                                                    <th>Saat</th>

                                                    <th>İşlemler</th>



                                                </tr>

                                                </thead>

                                                <tbody id="the-list" data-wp-lists="list:user">

                                                <?php

                                                $inboxData = ($turkeysms->inbox());

                                                if (isset($inboxData['status']) && !empty($inboxData['status']) && $inboxData['status'] == 200) {

                                                    foreach ($inboxData as $data) {

                                                        if (isset($data['phone']) && !empty($data['phone'])) {

                                                            $userinfo = $turkeysms->phoneToUser($data['phone'], $users); ?>



                                                            <tr id="user-<?= $data['phone'] ?>">

                                                                <td><?= $userinfo->ID ?></td>

                                                                <td class="username column-username has-row-actions column-primary"

                                                                    data-colname="Kullanıcı adı">

                                                                    <img alt=""

                                                                         src="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=32&amp;d=mm&amp;r=g"

                                                                         srcset="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=64&amp;d=mm&amp;r=g 2x"

                                                                         class="avatar avatar-32 photo" height="32"

                                                                         width="32">

                                                                    <?php

                                                                    if (isset($userinfo) && !empty($userinfo) && $userinfo != 0) {

                                                                        echo '<strong><a href="user-edit.php?user_id=' . $userinfo->ID . '" target="_blank">' . $userinfo->user_login . '</a></strong><br>';

                                                                    } else {

                                                                        echo '<strong>Kayıtlı Değil</strong><br>';

                                                                    } ?></td>

                                                                <td>

                                                                    <?php if (!empty($userinfo->first_name)) {

                                                                        echo $userinfo->first_name . " " . $userinfo->last_name;

                                                                    } else {

                                                                        print '—';

                                                                    } ?>

                                                                </td>

                                                                <td data-colname="E-posta">

                                                                    <?php if (isset($userinfo->user_email) && !empty($userinfo->user_email)) { ?>

                                                                        <a href="mailto:<?= $userinfo->user_email ?>"><?= $userinfo->user_email ?></a>

                                                                    <?php } ?>

                                                                </td>

                                                                <td><?= $data['phone'] ?></td>

                                                                <td>

                                                                    <strong><?= iconv("ISO-8859-9", "UTF-8", $data['message']); ?></strong>

                                                                </td>

                                                                <?php $time = explode(' ', $data['time']); ?>

                                                                <td><?= $time[0] ?></td>

                                                                <td><?= $time[1] ?></td>

                                                                <td class="text-center">

                                                                    <a href="javascript:void(0)"

                                                                       class="btn btn-warning btn-sm"

                                                                       onclick="<?php if (!empty($userinfo->ID)) { ?>turkeysms_sendSMS_bulkTab(<?=$userinfo->ID?>)<?php } else { ?>sendSMSglobal('<?=$data['phone']?>'); <?php } ?>"><i

                                                                                class="fa fa-commenting-o"></i> Cevapla</a>

                                                                </td>

                                                            </tr>

                                                        <?php }

                                                    }

                                                } else {

                                                    echo '<div class="alert alert-warning">' . $inboxData['message'] . '</div> ';

                                                } ?>

                                            </table>

                                        </div>

                                    </div>

                                </div>

								